#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# FilterTexture Class

Defined in: `src/pixi/renderers/webgl/utils/FilterTexture.js:5`
Module: PIXI

## Constructor

### `FilterTexture`

(

- `gl`
- `width`
- `height`
- `scaleMode`

)
private

Defined in `src/pixi/renderers/webgl/utils/FilterTexture.js:5`

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

- `width` Number

  the horizontal range of the filter

- `height` Number

  the vertical range of the filter

- `scaleMode` Number

  Should be one of the PIXI.scaleMode consts

- Index
- Methods
- Properties

## Item Index

### Methods

- clear
- destroy
- init
- resize

### Properties

- fragmentSrc - The fragment shader.
- fragmentSrc - The fragment shader.
- gl
- program - The WebGL program.

## Methods

### `clear`

()

Defined in `src/pixi/renderers/webgl/utils/FilterTexture.js:47`

Clears the filter texture

### `destroy`

()

Defined in `src/pixi/renderers/webgl/utils/FilterTexture.js:83`

Destroys the filter texture

### `init`

()

Defined in `src/pixi/renderers/webgl/shaders/StripShader.js:59`

Initialises the shader

### `resize`

(

- `width`
- `height`

)

Defined in `src/pixi/renderers/webgl/utils/FilterTexture.js:59`

Resizes the texture to the specified width and height

#### Parameters:

- `width` Number

  the new width of the texture

- `height` Number

  the new height of the texture

## Properties

### `fragmentSrc - The fragment shader.`

Array

Defined in `src/pixi/renderers/webgl/shaders/StripShader.js:17`

### `fragmentSrc - The fragment shader.`

Array

Defined in `src/pixi/renderers/webgl/shaders/StripShader.js:33`

### `gl`

WebGLContext

Defined in `src/pixi/renderers/webgl/utils/FilterTexture.js:16`

### `program - The WebGL program.`

Any

Defined in `src/pixi/renderers/webgl/shaders/StripShader.js:12`